<!DOCTYPE html>
<html lang='en' >
    <head>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
        <link rel="icon" href="icons/icon-16x16.png" type="image/gif" sizes="16x16">
        <meta charset="utf-8">
        <script>
            var firebaseConfig = {
                apiKey: "AIzaSyDCfMXYsFn_9DVYNwKmuKxASbBb7KIimgA",
                authDomain: "theflyingmangobutterflies.firebaseapp.com",
                databaseURL: "https://theflyingmangobutterflies.firebaseio.com",
                projectId: "theflyingmangobutterflies",
                storageBucket: "theflyingmangobutterflies.appspot.com",
                messagingSenderId: "917586757603",
                appId: "1:917586757603:web:d7032957a5a827e1"
            };
            firebase.initializeApp(firebaseConfig);
        </script>

        <style>
            #nav-text {
                position: absolute;
                height: 30px;
                width: 91px;
                color: #000;
                font-family: Montserrat;
                font-size: 25px;
                font-weight: 700;
                line-height: 30px;
                text-align: center;
                margin-left: 142px;
                margin-top:40px;
            }
            body{
                height: 100vh;
                width: 100vw;
                margin: 0;
            }
            #nav-bar {
                height: 104px;
                width: 100%;
                border-bottom-left-radius: 20px;
                border-bottom-right-radius: 20px;
                background: linear-gradient(40.54deg, rgb(248, 165, 69), rgb(252, 102, 56));
                position: fixed;
                z-index: 1;
            }
            .fa-chevron-left {
                font-size: 25px;
                margin-top: 13.1px;
                margin-left: 12px;
            }
            #rectangle {
                height: 69px;
                width: 375px;
                background-color: #FFF;
            }
            #mongol-kino {
                height: 21px;
                width: 200px;
                color: #000;
                font-family: 'Montserrat', sans-serif;
                font-size: 21px;
                font-weight: 700;
                letter-spacing: 1.38px;
                line-height: 21px;
                text-align: center;
                margin-top: 21px;
            }
            #icon-back {
                height: 69px;
                width: 85px;
                background-color: #FFF;
                display: flex;
                align-items: center;
                justify-content: center;
            }
            #L0 {
                padding-top: 105px;
            }
            .quiz-img {
                width: 72px;
                height: 72px;
                background-size: cover;
                border-radius: 10px; 
                background-image: url(music_note.png);
                /* background-repeat: no-repeat; */
                background-color: #FF6239;
                /* background-color: linear-gradient(144.29deg, #FF8132 0%, #FF6838 100%); */
                /* background-size: cover; */
                opacity: 0.5;
            }
            .level-line{
                display: flex;
                justify-content: space-between;
                margin-left: 19.5px;
                margin-right: 19.5px;
                margin-top: 8px;
            }
            #level-bar{
                display: flex;
                flex-direction: column;
            }
            .opacity {
                width: 72px;
                height: 72px;
                background-size: cover;
                border-radius: 10px; 
                opacity: 1;
                border: lightgreen solid 2px;
                border-radius: 10px; 
                background-image: url(music_note.png);
                background-color: #FF6239;
            }
            #icon_hint {
                height: 28.95px;
                width: 30px;
                /* background-color: #000; */
                transform: rotate(180deg);
                background-image: url(hint.png);
                background-repeat: no-repeat;
                background-size: cover;
            }
            #hint_hint {
                /* padding-left: 317px;
                margin-top: 39.1px; */
                display: flex;
                flex-direction: row-reverse;
                justify-content: space-between;
                padding: 28px;
            }
            #hint-number {
                height: 25px;
                width: 25px;
                background-color: #FFF;
                border-radius: 50%;
                position: absolute;
                z-index: 1;
                top: -11px;
                right: -11px;
                display: flex;
                justify-content: center;
                align-items: center;
            }
            #tmp-5 {
                position: relative;
                margin-top: 10px;
            }
            #hint-number-title {
                color: #000;
                font-family: Montserrat;
                font-size: 15px;
                font-weight: 700;
                line-height: 18px;
                text-align: center;
            }
        </style>
    </head>
    <body>
        <div id="nav-bar">
            <div id="nav-text">ТОГЛОХ</div>
            <div id="hint_hint">
                <div id="tmp-5">
                    <div id="hint-number">
                        <h1 id="hint-number-title"></h1>
                    </div>
                    <div id="icon_hint">
                    </div>
                </div>
                <i onclick="back_icon()" class="fa fa-chevron-left" aria-hidden="true"></i>
            </div>
        </div>
        <div id="level-bar"></div>
        <script>
            let currLevelEl;
            let quizCount = 0;
            var level_dugaar = 1;
            var DB = firebase.database(), ali_turul, tp4;
            

            DB.ref(`/Users/${localStorage.getItem('username')}/hint`).once('value', snapshot => {
                document.getElementById('hint-number-title').innerHTML = snapshot.val();
            });
            // darsan_id = DB.ref(`/Movies/Users/${localStorage.getItem('username')}/tmp`)
            function get_img(tmp, elId) {
                var storage = firebase.storage();
                let storageRef = storage.ref( '/' );
                var status;
                var array = [], tmp2 = 0;
                let currButton = document.getElementById(elId);
                DB.ref(`/Users/${localStorage.getItem('username')}/duu/ali_turul_songoson`).once('value', snapshot => {
                    ali_turul = snapshot.val();
                    console.log('mongol_duu', ali_turul);
                    DB.ref(`Users/${localStorage.getItem('username')}/duu/gadaad_duu/quiz_${tmp}`).once('value', snapshot => {
                        tp4 = snapshot.val();
                    }).then(() => {
                        currButton.innerHTML = `<div class="quiz-img" id="quiz-img-${elId}"></div>`;
                        let id = elId.split('_');
                        if(tp4 == 1) {
                            document.getElementById(`quiz-img-${elId}`).setAttribute('class', 'opacity');
                        }
                    });
                });
            }

            for (let i = 0; i < 20; i++) {
                let currId = add_quiz();
                get_img(i+1, currId);
            }

            function add_quiz(){
                quizCount++;
                let quizButton = document.createElement('div');
                quizButton.onclick = quiz;
                quizButton.classList.add('level');
                quizButton.id = `quiz_${quizCount}`;

                if( quizCount % 4 == 1 ){
                    currLevelEl = document.createElement('div');
                    currLevelEl.classList.add('level-line');
                    if( quizCount == 1 ){
                        currLevelEl.id = 'L0';
                    }
                    document.getElementById('level-bar').appendChild(currLevelEl);
                }

                currLevelEl.appendChild(quizButton);

                return `quiz_${quizCount}`;
            }

            function back_icon() {
                window.location.href = "song_menu.html";
            }

            function quiz() {
                DB.ref(`/Users/${localStorage.getItem('username')}/duu/gadaad_duu/suuld_songoson`).set(this.id).then(() => {
                    window.location.href = "duu_quizs_2.html";
                });
            }
        </script>
    </body>
</html>